Autor Thema: [Update] 2018-08-18 - Kernels, Xorg-Server, Mesa, Deepin, MATE, Perl, Python  (Gelesen 1580 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Offline landtaipan

  • Vollwertiges Mitglied
  • ***
  • Beiträge: 200
  • Dankeschön: 48 mal
  • Desktop: xfce
  • Grafikkarte: nvidia
  • Grafikkartentreiber: free
  • Kernel: 4.19
  • Prozessor: Intel i7
  • Skill: Durchschnitt
  • Zweig: stable/testing
Zitat
philm - Manjaro Team

Hi community,

Welcome to another stable update. So what do we have with this one?

    renewed most of our kernels, incl. the L1TF fixes
    we updated our Xorg-Server to 1.20.1
    mesa got updated to 18.1.6
    xf86-video-ati we used the latest git-snapshot to fix some graphical glitches
    Nvidia 304xx driver is dropped now.
    Virtualbox got updated to 5.2.18
    we backported a fix for kscreenlocker reducing the 100% CPU usage
    we reverted commit 6f130e8 in systemd, which improves network speed
    we pushed our rebuilds for python 3.7 and perl 5.28.
    LibreOffice is now at 6.0.6
    we added the latest MATE packages
    added some new Deepin packages
    Stefano updated our Adapta Themes
    we updated some of our Grub themes
    we fixed an issue with gpodder
    updated firefox and thunderbird
    updated dbus
    we updated firefox-dev and firefox-kde and jdk8 to their latest versions
    flameshot got a fix for zh_TW locale loading
    small fixes to pamac-cli
    the usual python/haskell rebuilds/updates

We hope with all these changes Manjaro to be more efficient for you all.

Currently we are working on a new Manjaro-Hardware project, the Bladebook Fall 2018.
It will be powered by Manjaro KDE v18.0 and the latest Intel Apollo Lake Quad-Core HD APU.
Having a fanless metal material (cassis either silver or gold-rose) and eMMC as storage
(additional M2-SSD possible), it will have a long battery life. Find out more on our hardware page.

If you are curious about the latest state of development for the upcoming
Manjaro-Illyria 18.0 release, you now have the opportunity to download a beta-build
of Manjaro-Xfce 18.0 including the latest xfce-gtk3 packages aswell as our most recent styling
efforts. Our KDE fans may try our beta-build with the latest KDE v5.13 instead. And our GNOME
fans may try our beta-build with the latest GNOME v3.28.

Latest information about the intel-cpu-bug risk and our efforts can be found here.

Current supported Kernels

    linux316 3.16.57
    linux318 3.18.119 [EOL]
    linux41 4.1.52 [EOL]
    linux44 4.4.149
    linux49 4.9.121
    linux414 4.14.64
    linux415 4.15.18 [EOL]
    linux416 4.16.18 [EOL]
    linux417 4.17.16
    linux418 4.18.2
    linux419 4.19-rc0
    linux414-rt 4.14.52_rt34
    linux416-rt 4.16.18_rt11

Package Updates (Sat Aug 18 06:46:56 CEST 2018)

    stable community x86_64: 2965 new and 2912 removed package(s)
    stable core x86_64: 65 new and 64 removed package(s)
    stable extra x86_64: 1033 new and 1021 removed package(s)
    stable multilib x86_64: 22 new and 25 removed package(s)

A list of all changes in details can be found here

Offline Cheffe

  • Neuling
  • *
  • Beiträge: 14
  • Skill: Durchschnitt
  • Zweig: stable
Ich habe ein Problem mit dem Update von Perl.

Fehler: Konnte den Vorgang nicht vorbereiten (Kann Abhängigkeiten nicht erfüllen)
:: Installation von perl (5.28.0-1) verletzt Abhängigkeit 'perl<5.27', benötigt von perl-gtk2-unique

Was muss ich tun, damit es sauber durchläuft?

Offline Cheffe

  • Neuling
  • *
  • Beiträge: 14
  • Skill: Durchschnitt
  • Zweig: stable
Ich konnte das Problem lösen. Nach der Deinstallation des PAC Managers und seiner Perl Abhängigkeiten lief das Update durch.